org.vishia.gral.cfg

## Class GralCfgData.GuiCfgCurveview

- java.lang.Object
- - org.vishia.gral.cfg.GralCfgData.GuiCfgWidget
  - - org.vishia.gral.cfg.GralCfgData.GuiCfgCurveview

- All Implemented Interfaces:
    java.lang.Cloneable
  Enclosing class:
    GralCfgData

      public static final class GralCfgData.GuiCfgCurveview
      extends GralCfgData.GuiCfgWidget
      implements java.lang.Cloneable

  ZBNF: Table::= ... ; Class for instance to capture and store the Table data.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `activate`
    `(package private) java.util.List<GralCfgData.GuiCfgCurveLine>` | `lines`
    `private GralCfgData.GuiCfgCurveLine` | `newLine` The element is created if the text if `#set_line(String)` is invoked before `GralCfgData.newGuiElement` is invoked.
    `int` | `nrofPoints`

    - ### Fields inherited from class org.vishia.gral.cfg.GralCfgData.GuiCfgWidget

      `cmd, color0, color1, data, dragFiles, dragText, dropFiles, dropText, editable, format, help, mouseAction, name, prompt, promptPosition, showMethod, text, type, userAction, whatIs`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiCfgCurveview(GralCfgElement itsElement)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add_line(GralCfgData.GuiCfgCurveLine value)` From ZBNF: DataReplace: < DataReplace>
    `GralCfgData.GuiCfgCurveLine` | `new_line()` ZBNF: DataReplace: CurveView::= ....
    `void` | `set_Element(java.lang.String val)` ZBNF: DataReplace: < Element>

    - ### Methods inherited from class org.vishia.gral.cfg.GralCfgData.GuiCfgWidget

      `clone, new_color0, new_color1, new_colorName, set_color0, set_color1, set_colorName, set_data, set_help, setFromType`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nrofPoints

          public int nrofPoints

    - #### activate

          public boolean activate

    - #### lines

          java.util.List<GralCfgData.GuiCfgCurveLine> lines

    - #### newLine

          private GralCfgData.GuiCfgCurveLine newLine

      The element is created if the text if `#set_line(String)` is invoked before `GralCfgData.newGuiElement` is invoked. The association is temporary valid for the current element.

  - ### Constructor Detail

    - #### GuiCfgCurveview

          public GuiCfgCurveview(GralCfgElement itsElement)

  - ### Method Detail

    - #### new_line

          public GralCfgData.GuiCfgCurveLine new_line()

      ZBNF: DataReplace: CurveView::= ....

    - #### set_Element

          public void set_Element(java.lang.String val)

      ZBNF: DataReplace: < Element>

    - #### add_line

          public void add_line(GralCfgData.GuiCfgCurveLine value)

      From ZBNF: DataReplace: < DataReplace>